### Method

# Gio Socket check_connect_result

since: 2.22

#### Declaration

    gboolean
    g_socket_check_connect_result (
      GSocket* socket
      GError** error
    )

#### Description

Checks and resets the pending connect error for the socket. This is used to check for errors when `g_socket_connect()` is used in non-blocking mode.

Available since: 2.22

#### Return value

Type: `gboolean`

`TRUE` if no error, `FALSE` otherwise, setting `error` to the error.